%global debug_package %{nil}

Name:           duckdns
Version:        1.1.0
Release:        2%{?dist}
Summary:        DDNS Duck DNS

License:        ASL 1.0
URL:            https://www.duckdns.org
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.service
Source2:        %{name}.timer
Source3:        %{name}.sysconfig

%{?systemd_requires}
BuildRequires:  systemd
Requires:       curl

%description
Free dynamic DNS hosted on Amazon VPC.

%prep
%setup -q

%build

%post
%systemd_post %{name}.timer

%preun
%systemd_preun %{name}.timer

%postun
%systemd_postun_with_restart %{name}.timer

%install

%{make_install}
# latest way and make installs in   /usr/share/doc/%%{name}
# <= el7 uses                       /usr/share/doc/%%{name}-%%{version}
%if 0%{?rhel} == 7
mv %{buildroot}/%{_defaultdocdir}/%{name} %{buildroot}/%{_pkgdocdir}
%endif

install -pd %{buildroot}/%{_unitdir}/
install -p -m 0644 %{SOURCE1} %{buildroot}/%{_unitdir}
install -p -m 0644 %{SOURCE2} %{buildroot}/%{_unitdir}

install -pd %{buildroot}/%{_sysconfdir}/sysconfig
install -p -m 0600 %{SOURCE3} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

%files
%{_bindir}/%{name}

%config %{_unitdir}/%{name}.service
%config %{_unitdir}/%{name}.timer
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%doc README.md

%changelog
* Thu Nov 29 2018 RPM build <root@localhost> - 1.1.0-2
- v1.1.0

* Wed Nov 28 2018 RPM build <root@localhost> - 1.0.0-3
- rebuilt

* Mon Nov 26 2018 RPM build <root@localhost> - 1.0.0-2
- rebuilt

